/**
 * EstE.java
 *	Estimate the value of the mathematical constant e. Note that
 *	e is roughly 2.718281828459045. As an exercise, rewrite the
 *	following code to estimate e using only one loop.
 */
import javax.swing.JOptionPane;

public class EstE {

  public static void main( String args[] )
  {
    // get n
    String s = JOptionPane.showInputDialog( "Please input n:" );
    int n = Integer.parseInt(s);

    double f; // factorial
    double e = 1;

    for( int i=1 ; i <= n ; ++i )
    {
      // note that we need to reset f in each iteration
      f = 1;
      for( int j=1 ; j <= i ; ++j ) f *= j;
      e += 1/f;
    }

    System.out.println( e );
    System.exit(0);
  }

} // end of class EstE

